# Link a terminal application  beta

Link an account with a terminal application.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/terminal-applications.write` scope.

## POST

/accounts/{accountID}/terminal-applications

### Example Requests

#### cURL
```shell
curl -X POST "https://api.moov.io/accounts/{accountID}/terminal-applications" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "terminalApplicationID": "12345678-1234-1234-1234-123456789012"
}'
```

#### TypeScript
```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.accountTerminalApplications.link({
    accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
    linkAccountTerminalApplication: {
      terminalApplicationID: "12345678-1234-1234-1234-123456789012",
    },
  });

console.log(result);
}

run();
```

#### PHP
```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
